Bug 1020343 - Fix the error message on LDAP security screen
Fix the error message on LDAP security screen
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ER7
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 09:26 EDT by Petr Kremensky
Modified: 2013-12-15 11:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-17 09:26:21 EDT
Original issue: 
 BZ1018745 - Can enter empty username filter on LDAP security configuration screen, installation will fail.

Description of problem:
 Fix error message on LDAP security screen "A new LDAP security realm requires a Security Realm Name, an LDAP Username, and a Base Distinguished Name (Base DN). All three of these fields must be filled.". I think the best way it would be to use same message for all three fields saying:
"A new LDAP security realm requires a Security Realm Name, a Base Distinguished Name (Base DN), and a Username filter. All three of these fields must be filled."


Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER6

How reproducible:
 always

Steps to Reproduce:
 1. Start gui installation, use default values until you reach Post-install configuration screen.
 2. Select to Perform additional post-install configuration, check to Enable LDAP authentication.
 3. Fill password fields on first LDAP Configuration screen, push Next button to enter LDAP security configuration screen.
 4. Enter "" into input field.

Actual results:
 "A new LDAP security realm requires a Security Realm Name, an LDAP Username, and a Base Distinguished Name (Base DN). All three of these fields must be filled." for empty Security Realm Name and Base DN. "Username filter must not be blank" for empty Username filter.

Expected results:
 "A new LDAP security realm requires a Security Realm Name, a Base Distinguished Name (Base DN), and a Username filter. All three of these fields must be filled." for all input fields.
Comment 1 Francisco Canas 2013-10-17 10:21:29 EDT
Changed the error message for a blank username filter to match expected result.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=ddd128f268dcb9189a74beac08d5fc35a687ad46
Comment 2 Petr Kremensky 2013-11-01 08:46:18 EDT
Verified on EAP 6.2.0.ER7 installer.

Note You need to log in before you can comment on or make changes to this bug.